Bug 907897 - pretty.print(null) fails
pretty.print(null) fails
Status: VERIFIED
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.14
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 1324828
  Show dependency treegraph
 
Reported: 2013-02-05 08:47 EST by Filip Brychta
Modified: 2016-06-21 07:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1324828 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-02-05 08:47:19 EST
Description of problem:
This is very annoying in non-interactive mode (script is terminated). Null is a valid value returned by some methods, so pretty.print should print it without terminating the script.

Version-Release number of selected component (if applicable):
Version: 4.6.0-SNAPSHOT
Build Number: a74896a

How reproducible:
always

Steps to Reproduce:
1. ./rhq-cli.sh -s $yourRHQserverIP -p rhqadmin -u rhqadmin
2. pretty.print(null)

  
Actual results:
org.mozilla.javascript.EvaluatorException: The choice of Java method org.rhq.bindings.output.TabularWriter.print matching JavaScript argument types (null) is ambiguous; candidate methods are: 
    void print(java.lang.Object)
    void print(java.util.Map)
    void print(java.util.Collection)
    void print(org.rhq.core.domain.configuration.Configuration)
    void print(java.lang.Object[])
    void print(java.lang.String[][]) (<Unknown source>#1) in <Unknown source> at line number 1
pretty.print(null); 

Expected results:
null
Comment 1 John Sanda 2015-11-18 14:17:00 EST
I saw that commit 8b540d7848a was pushed to fix this, but it resulted in a minor regression caught by some Jenkins test failures. I fixed the test failures with commit e1fa9edbe0.
Comment 2 Filip Brychta 2016-06-20 07:27:50 EDT
This is again broken, probably after https://github.com/rhq-project/rhq/commit/1074fac1280e34758fbfda8b1aaaebbdd184313b

Note You need to log in before you can comment on or make changes to this bug.